Bug 16688 - No newline at end of file error.
No newline at end of file error.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-21 13:55 EDT by Fin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 12:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fin 2000-08-21 13:55:50 EDT
Whenever I try to install new software from source g++ complains that 
there's "no newline at end of file". This doesn't seem to depend on what 
I'm trying to install. Is there some way to make it ignore that 
requirement (on a system wide level) or some other way to fix the problem?
Comment 1 Bill Nottingham 2000-08-22 12:04:28 EDT
It's simply a warning, correct? 

If you have -Werror in your CFLAGS, remove it.
Comment 2 Jakub Jelinek 2000-08-23 10:58:16 EDT
-Wp,-w will turn all preprocessor warnings (unless you use -Werror).
If this happens in some header files we're shipping, let us know, and we'll fix it,
otherwise fix the sources you're compiling. All files passed to the preprocessor
should end with a newline.

Note You need to log in before you can comment on or make changes to this bug.